> For the complete documentation index, see [llms.txt](https://docs.net2grid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.net2grid.com/device-management-api/information/gateways-eui64-meter-info.md).

# /gateways/{eui64}/meter-info

Returns the meter-related information of a specific device, such as the meter type, the meter interface protocol, the serial numbers of the gas/electricity meters, and more.

```json
{"openapi":"3.0.1","info":{"title":"Device Management API","version":"1.6.0"},"tags":[{"name":"Information","description":"Commands to retrieve information about the devices connected to the platform"}],"servers":[{"url":"https://device-management.n2g-{platform}.net/v2","variables":{"platform":{"default":"dev","description":"The platform name"}}}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"parameters":{"EUI64":{"name":"eui64","in":"path","description":"The EUI64 of the device in hexadecimal format.","required":true,"schema":{"type":"string"}}},"schemas":{"MeterInfo":{"type":"object","properties":{"type":{"type":"string","description":"The meter type."},"protocol":{"type":"string","description":"The meter interface protocol."},"elec":{"$ref":"#/components/schemas/ElectricityMeterInfo"},"gas":{"$ref":"#/components/schemas/GasMeterInfo"}}},"ElectricityMeterInfo":{"allOf":[{"$ref":"#/components/schemas/MeterEnergyInfoBase"},{"type":"object","description":"Electricity meter information.","properties":{"phases":{"type":"integer","description":"The number of phases."}}}]},"MeterEnergyInfoBase":{"type":"object","description":"Meter information fields common to both electricity and gas.","properties":{"serial":{"type":"string","description":"The meter serial number."},"status":{"type":"string","description":"The meter datagram parsing status."}}},"GasMeterInfo":{"allOf":[{"$ref":"#/components/schemas/MeterEnergyInfoBase"}],"description":"Gas meter information."},"ErrorResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"The error message returned."},"code":{"type":"integer","description":"The error code returned."}}}},"responses":{"MissingOrInvalidEUIErrorResponse":{"description":"Invalid request:\n  - Missing required 'path' parameter: 'eui64'.\n  - The provided EUI64 '{eui64}' is not a valid hexadecimal string.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"EUIOrShadowNotFoundErrorResponse":{"description":"Not found:\n  - 400: The device '{eui64}' is not available in the IoT Thing registry.\n  - 410: The shadow '{shadow}' for device '{eui64}' was not found.\n  - 411: The reported state for shadow '{shadow}' of device '{eui64}' was not found.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"InternalServerErrorResponse":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/gateways/{eui64}/meter-info":{"get":{"summary":"/gateways/{eui64}/meter-info","description":"Returns the meter-related information of a specific device, such as the meter type, the meter interface  protocol, the serial numbers of the gas/electricity meters, and more.\n","operationId":"getMeterInfo","tags":["Information"],"parameters":[{"$ref":"#/components/parameters/EUI64"}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MeterInfo"}}}},"400":{"$ref":"#/components/responses/MissingOrInvalidEUIErrorResponse"},"404":{"$ref":"#/components/responses/EUIOrShadowNotFoundErrorResponse"},"500":{"$ref":"#/components/responses/InternalServerErrorResponse"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.net2grid.com/device-management-api/information/gateways-eui64-meter-info.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
